import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/rotationPlan.info` + url, ...arg)

export default {
	// 半月表
	LHJHBYlist(data) {
		return request(`/rpBiweeklyReport/findPage`, data, 'get')
	},
	LHJHBYview(data) {
		return request(`/rpBiweeklyReport/getDetail`, data, 'get')
	},
	// 进度管控
	JDGKlist(data) {
		return request(`/rpBiweeklyReport/findPlanPage`, data, 'get')
	},

	JDGKview(data) {
		return request(`/rpBiweeklyReport/findPlanDetailPage`, data, 'get')
	}
}
