import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/dev/dict/` + url, ...arg)
const requestName = (url, ...arg) => baseRequest(`/enterpriseManagement.info/` + url, ...arg)
const requestDEl = (url, ...arg) => baseRequest(`/Enum` + url, ...arg)

// 数据字典
export default {
	// 性别
	genderDEl(data) {
		return request('list', data, 'get')
	},
	// 获取人员名称
	getPersions(data) {
		return requestName('/emPersonInfo/getPersions', data, 'get')
	},

	//获取字典

	getPersionsDEl(data) {
		return requestDEl('/findEnumObj', data, 'get')
	}
}
