import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/tank/tank/` + url, ...arg)
const requestss = (url, ...arg) => baseRequest(`/warehouse/warehouse/` + url, ...arg)
const requestee = (url, ...arg) => baseRequest(`aisleInfo/aisle/` + url, ...arg)

const requestDD = (url, ...arg) => baseRequest(`/storehouseInfo/storehouse/` + url, ...arg)
const requestff = (url, ...arg) => baseRequest(`/orgInfo/info/` + url, ...arg)
export default {
	// 油罐
	listPage (data) {
		return request('pageList', data, 'get')
	},
	formGet (data) {
		return request('detail', data, 'get')
	},
	// 货位信息
	listPageWarehouse (data) {
		return requestss('page', data, 'get')
	},
	listPageWarehouseDetail (data) {
		return requestss('detail', data, 'get')
	},
	// 廒间信息
	pageList (data) {
		return requestee('page', data, 'get')
	},
	pageListDetail (data) {
		return requestee('detail', data, 'get')
	},

	// 仓房信息
	pageListStorehouse (data) {
		return requestDD('page', data, 'get')
	},
	// GET
	pageListStorehouseDetail (data) {
		return requestDD('detail', data, 'get')
	},
	// 粮库信息
	pageListOrgInfoPage (data) {
		return requestff('page', data, 'get')
	},

	pageListOrgInfoDetail (data) {
		return requestff('detail', data, 'get')
	}
}
