import { baseRequest } from '@/utils/request'
const request = (url, ...arg) => baseRequest(`/emergencySupport/esDeliveryEnterprise` + url, ...arg)

export const list = (query) => {
	return request('/page', query, 'get')
}

export const count = (query) => {
	return request('/count', query, 'get')
}

export const save = (data) => {
	return request('/saveOrupdate', data, 'post')
}

export const del = (data) => {
	return request('/delete', data, 'post')
}

export const detail = (query) => {
	return request('/detail', query, 'get')
}
