import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/policy.info/mlpAdviceCollectFeedback/` + url, ...arg)

/**
 * 意见反馈
 *
 * @author weiyinbin
 * @date  2024/04/17 10:58
 **/
export default {
	get(data) {
		return request('page', data, 'get')
	},
	add(data) {
		return request('add', data, 'post')
	},
	edit(data) {
		return request('edit', data, 'post')
	},
	delete(data) {
		return request('delete', data, 'post')
	},
	detail(data) {
		return request('detail', data, 'get')
	},
	// /policy.info/mlpAdviceCollectFeedback/selectParams
	FKJEK(data) {
		return request('selectParams', data, 'get')
	}
	// /policy.info/mlpAdviceCollectFeedback/edit
}
