import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/policy.info/mlpDraftAudit/` + url, ...arg)

/**
 * 专家评审
 *
 * @author weiyinbin
 * @date  2024/04/17 10:58
 **/
export default {
	get(data) {
		return request('page', data, 'get')
	},
	add(data) {
		return request('add', data, 'post')
	},
	// /policy.info/mlpDraftAudit/edit
	edit(data) {
		return request('edit', data, 'post')
	},
	delete(data) {
		return request('delete', data, 'post')
	},
	detail(data) {
		return request('detail', data, 'get')
	},
	planDetail(data) {
		return request('getDraftModify', data, 'get')
	}
	// list(data){ return request('getDraftModify', data, 'get') },
}
