import {
	baseRequest
} from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/policy.info/auditRequest/` + url, ...arg)

export const list = (data) => {
	return request('tFumigationRecordPage', data, 'get')
}

export const getDetails = (data) => {
	return request('getTFumigationRecordDetail', data, 'get')
}

export const doAudit = (data) => {
	return request('auditTFumigationRecordById', data, 'post', {
		headers: { 'Content-Type': 'application/x-www-form-urlencoded' }
	})
}
