import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/rotationPlan.info/businessrpreport/` + url, ...arg)
const requestDEl = (url, ...arg) => baseRequest(`/rotationPlan.info` + url, ...arg)

/**
 * 轮换计划接口
 * wzq
 **/
export default {
	//计划接收
	LHJHlist(data) {
		return request('page', data, 'get')
	},

	LHJHview(data) {
		return request('getRpReportRecDetail', data, 'get')
	},

	// 总汇
	zDlist(data) {
		return request('reportList', data, 'get')
	},

	zDview(data) {
		return request('createreport', data, 'get')
	},

	// 计划信息
	JHXXlist(data) {
		return request('reportPlanList', data, 'get')
	},
	JHXXview(data) {
		return request('getPlanRpReportDetail', data, 'get')
	},
	// 下发列表
	XFlist(data) {
		return requestDEl('/rpIssuance/page', data, 'get')
	},
	//add
	XFadd(data) {
		return requestDEl('/rpIssuance/add', data, 'post')
	},
	//view
	XFdetail(data) {
		return requestDEl('/rpIssuance/detail', data, 'get')
	}
}
