import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/finishedGrainSupervision/` + url, ...arg)
const requestDQ = (url, ...arg) => baseRequest(`/biz/` + url, ...arg)
const requestBBA = (url, ...arg) => baseRequest(`/finishedGrainSupervision/` + url, ...arg)

export default {
	//地区
	TJFXDQ(data) {
		return requestDQ('dict/getByParentId', data, 'get')
	},
	ZKSLlist(data) {
		return request('kcsw/statisticsCountPage', data, 'get')
	},
	//图表A
	ZKSLA(data) {
		return request('kcsw/statisticsGrainGrade', data, 'get')
	},
	ZKSLC(data) {
		return request('kcsw/statisticsArea', data, 'get')
	},
	ZKSstatisticsGrainVarietyNameB(data) {
		return request('kcsw/statisticsGrainVarietyName', data, 'get')
	},
	ZKSstatisticsOurOrInD(data) {
		return request('kcsw/statisticsOurOrIn', data, 'get')
	},
	RCJClist(data) {
		return requestBBA('pgBasicReportInfo/finDailycheckPage', data, 'get')
	},
	RCJCgetDailycheckDetail(data) {
		return requestBBA('pgBasicReportInfo/getDailycheckDetail', data, 'get')
	}
}
