import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest('/emergencySupport/' + url, ...arg)
export default {
	getAllList(data) {
		return request('supportCenter/getAllList', data, 'get', false)
	},
	// 获取应急保障-应急网点
	getYjwdDetail(data) {
		return request('esNetworkEntry/detail', data, 'get', false)
	},
	// 获取应急保障-应急加工企业
	getYjjgqyDetail(data) {
		return request('esProcessEnterprise/detail', data, 'get', false)
	},
	// 获取应急保障-应急配送企业
	getYjpsqyDetail(data) {
		return request('esDeliveryEnterprise/detail', data, 'get', false)
	},
	// 获取应急保障-应急仓储企业
	getYjccqyDetail(data) {
		return request('esstorageenterprisegrain/detail', data, 'get', false)
	},
	// 应急仓储企业统计
	getYjccqytj(data) {
		return request('supportCenter/statistics', data, 'get', false)
	},
	// 获取应急保障-应急仓储企业管理表分页
	getYjccqyList(data) {
		return request('esstorageenterprise/page', data, 'get', false)
	},
	// 删除应急保障-应急仓储企业管理表
	deleteData(data) {
		return request('esstorageenterprise/delete', data, 'post', false)
	},
	// *获取应急保障-应急仓储企业管理表详情
	getDetails(data) {
		return request('esstorageenterprise/detail', data, 'get', false)
	},
	// *编辑应急保障-应急仓储企业管理表
	editDetails(data) {
		return request('esstorageenterprise/edit', data, 'post', false)
	},
	// *添加应急保障-应急仓储企业管理表
	addDetails(data) {
		return request('esstorageenterprise/add', data, 'post', false)
	},
	// *删除应急保障-应急仓储企业管理表
	deleteDetails(data) {
		return request('esstorageenterprise/delete', data, 'post', false)
	}
}
