import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/finishedGrainSupervision/` + url, ...arg)

// 成品粮储备库区-成品粮企业信息
export default {
	// 分页
	findUnitPage(data) {
		return request('pgBasicReportInfo/findUnitPage', data, 'get')
	},
	// 查看
	findUnitDetail(data) {
		return request('pgBasicReportInfo/getUnitDetail', data, 'get')
	},
	// 成品粮储备库区-成品粮粮库信息备案
	// 分页
	findOrgInfoPage(data) {
		return request('pgBasicReportInfo/findOrgInfoPage', data, 'get')
	},
	// 查看
	getOrgDetail(data) {
		return request('pgBasicReportInfo/getOrgDetail', data, 'get')
	},
	// 成品粮储备库区-成品粮仓房信息备案
	// 分页
	finStorehousePage(data) {
		return request('pgBasicReportInfo/finStorehousePage', data, 'get')
	},
	// 查看
	getStorehouseDetail(data) {
		return request('pgBasicReportInfo/getStorehouseDetail', data, 'get')
	},
	// 成品粮储备库区-成品粮设备信息
	// 分页
	finDevInputPage(data) {
		return request('pgBasicReportInfo/finDevInputPage', data, 'get')
	},
	// 查看
	getDevInputDetail(data) {
		return request('pgBasicReportInfo/getDevInputDetail', data, 'get')
	},

	// 成品粮出入库-成品粮入库管理
	// 分页
	selectRkPage(data) {
		return request('kcsw/selectRkPage', data, 'get')
	},
	// 查看
	selectRkdetails(data) {
		return request('kcsw/selectRkdetails', data, 'get')
	},
	// 成品粮出入库-成品粮出库管理
	// 分页
	selectCkPage(data) {
		return request('kcsw/selectCkPage', data, 'get')
	},
	// 查看
	selectCkdetails(data) {
		return request('kcsw/selectCkdetails', data, 'get')
	},
	// 在库数量管理-计划执行情况统计
	statisticsPlan(data) {
		return request('kcsw/statisticsPlan', data, 'get')
	},
	// 在库数量管理-成品粮库存数据
	statisticsIn(data) {
		return request('kcsw/statisticsIn', data, 'get')
	},
	// 在库数量管理-地方储备粮性质统计
	statisticsGrainNature(data) {
		return request('kcsw/statisticsGrainNature', data, 'get')
	},
	// 在库数量管理-质量统计
	statisticsQualitye(data) {
		return request('kcsw/statisticsQualitye', data, 'get')
	},
	// 在库数量管理-仓储设施统计
	statisticsStorageFacilities(data) {
		return request('kcsw/statisticsStorageFacilities', data, 'get')
	},
	// 在库数量管理-智能化设备统计
	statisticsIntelligentEquipment(data) {
		return request('kcsw/statisticsIntelligentEquipment', data, 'get')
	},
	// 在库数量管理-交易结算情况统计
	statisticsTransaction(data) {
		return request('kcsw/statisticsTransaction', data, 'get')
	}
}
