import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/grainReserves/businessGslrLossCollect/` + url, ...arg)

export const getList = (data) => {
	return request('page', data, 'get')
}

export const getDetails = (data) => {
	return request('detail', data, 'get')
}

export const alarmList = (data) => {
	return request('alarmPage', data, 'get')
}

export const chartLineData = (data) => {
	return request('alarmLineChart', data, 'get')
}
