import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/policy.info/alPolicyFileReportManage/` + url, ...arg)
/**
 * 单位信息表Api接口管理器
 *
 * @author ts
 * @date  2024/04/17 14:51
 **/
export default {
	// 获取单位信息表分页
	unitInfoPage(data) {
		return request('findPage', data, 'get')
	},
	// 新增
	addInfoForm(data) {
		return request('add', data, 'post')
	},
	// 编辑
	editUnitForm(data) {
		return request('edit', data, 'post')
	},
	// 删除单位信息表
	unitInfoDelete(data) {
		return request('delete', data, 'post')
	},
	// 获取单位信息表详情
	unitInfoDetail(data) {
		return request('detail', data, 'get')
	}
}
