import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/policy.info/auditRequest/` + url, ...arg)

// 承储资格审批
export default {
	// 获取承储资格认定-承储企业分页
	sqrEnterprisePage(data) {
		return request('pageSqrEnterprise', data, 'get')
	},
	// 承储资格延续申请审批--分页查询
	getSqrEnterprisePage(data) {
		return request('continuationPage', data, 'get')
	},
	// 提交审批
	sqrEnterpriseSubmitForm(data) {
		return request('eligibilityApproval', data, 'get')
	},
	// 获取承储资格认定-承储企业详情
	sqrEnterpriseDetail(data) {
		return request('getSqrEnterpriseDetail', data, 'get')
	}
}
