import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/policy.info/mlpFirstDraft/` + url, ...arg)
const requestDEl = (url, ...arg) => baseRequest(`/policy.info/mlpDraftAudit/` + url, ...arg)
const requestDElBE = (url, ...arg) => baseRequest(`/policy.info/mlpDraftModify/` + url, ...arg)
/**
 * 规划初稿
 *
 * @author weiyinbin
 * @date  2024/04/17 10:58
 **/
// /policy.info/mlpDraftAudit/getPlanningFinish
export default {
	get(data) {
		return request('page', data, 'get')
	},
	add(data) {
		return request('add', data, 'post')
	},
	edit(data) {
		return request('edit', data, 'post')
	},
	delete(data) {
		return request('delete', data, 'post')
	},
	detail(data) {
		return request('detail', data, 'get')
	},
	getPlanningFinish(data) {
		return requestDEl('getDraftModifyAll', data, 'get')
	},
	// 规划修改详情接口?
	// /policy.info/mlpDraftModify/detail

	getPlanningFinishDetail(data) {
		return requestDElBE('detail', data, 'get')
	},

	// 规划初稿详情
	getPlanningDetaill(data) {
		return request('detail', data, 'get')
	}
}
