import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/policy.info/mlpFirstDraftCollect/` + url, ...arg)
const requestDEl = (url, ...arg) => baseRequest(`/policy.info/mlpFirstDraft/` + url, ...arg)

/**
 * 规划初稿
 *
 * @author weiyinbin
 * @date  2024/04/17 10:58
 **/
export default {
	get(data) {
		return request('page', data, 'get')
	},
	add(data) {
		return request('add', data, 'post')
	},
	edit(data) {
		return request('edit', data, 'post')
	},
	delete(data) {
		return request('delete', data, 'post')
	},
	detail(data) {
		return request('detail', data, 'get')
	},
	checkList(data) {
		return request('checkList', data, 'get')
	},
	getPlanName(data) {
		return request('getPlanName', data, 'get')
	},
	NameXiQi(data) {
		return requestDEl('detail', data, 'get')
	}
}
