import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/policy.info/mlpDraftAudit/` + url, ...arg)

/**
 * 意见收集
 *
 * @author weiyinbin
 * @date  2024/04/17 10:58
 **/
// 查询
// // /policy.info/mlpDraftAudit/planningFinishPage
//

// 查看
// /policy.info/mlpDraftAudit/getPlanningFinish
// mlpDraftAudit/getPlanningFinish
export default {
	get (data) {
		return request('planningFinishPage', data, 'get')
	},
	pub (data) {
		return request('publish', data, 'get')
	},
	detail (data) {
		return request('getPlanningFinish', data, 'get')
	}
}
